Subject: [calsify] jscalendar - attachments

From: Michael Douglass <[email-masked]>
Date: Mon, 20 Apr 2020 00:30:20 -0400

Trying to come up with examples and I started with the 5545 example

       ATTACH:CID:[email-masked]

The jscalendar spec says:

    o  href: "String" (mandatory)

       A URI from which the resource may be fetched.

       This MAY be a "data:" URL [RFC2397  <https://tools.ietf.org/html/rfc2397>], but it is recommended that
       the file be hosted on a server to avoid embedding arbitrarily
       large data in JSCalendar object instances.

    o  cid: "String" (optional)

       This MUST be a valid "content-id" value according to the
       definition ofSection 2 in [RFC2392]  <https://tools.ietf.org/html/rfc2392#section-2>.  The value MUST be unique
       within this Link object but has no meaning beyond that.  It MAY be
       different from the link id for this Link object.

Should it be one of href or cid is mandatory? If not how is the above 
represented?

---

From: "Robert Stepanek" <[email-masked]>
Date: Tue, 21 Apr 2020 16:53:05 +0200

This MUST be a valid "content-id" value according to the
      definition of Section 2 in [RFC2392] <https://tools.ietf.org/html/rfc2392#section-2>.  The value MUST be unique
      within this Link object but has no meaning beyond that.  It MAY be
      different from the link id for this Link object.
> 
> Should it be one of href or cid is mandatory? If not how is the above represented

href should be the only mandatory property of a Link object. This particular example would map to a Link object with href set to the CID URL.

The cid property in a JSEvent only is useful if the description of the event is formatted in HTML. The description could then contain something like <img src="cid:myimagecid"/> and reference a particular a Link that way.

BTW, I don't understand the idea behind this example in RFC5545. A CID URL attachment in a stand-alone VEVENT doesn't make sense to me. I could only imagine it to be useful if the iCalendar data is a text/calendar part of some MIME message, where some other body part has the "Content-Id" header set to that CID URL. Probably I'm missing something here?

Cheers,
Robert